Botan 2.13.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Macros | Functions
commoncrypto_hash.cpp File Reference
`#include <botan/hash.h>`
`#include <botan/internal/commoncrypto.h>`
`#include <CommonCrypto/CommonCrypto.h>`
`#include <unordered_map>`

Go to the source code of this file.

## Namespaces
| Botan

## Macros
#define | MAKE_COMMONCRYPTO_HASH_1(id) MAKE_COMMONCRYPTO_HASH_2(#id, id)
#define | MAKE_COMMONCRYPTO_HASH_2(name, id) MAKE_COMMONCRYPTO_HASH_3(name, id, id)
#define | MAKE_COMMONCRYPTO_HASH_3(name, hash, ctx)

## Functions
std::unique_ptr< HashFunction > | Botan::make_commoncrypto_hash (const std::string &name)

## Macro Definition Documentation

#define MAKE_COMMONCRYPTO_HASH_1 | ( |  | id | ) | MAKE_COMMONCRYPTO_HASH_2(#id, id)

Referenced by Botan::make_commoncrypto_hash().

#define MAKE_COMMONCRYPTO_HASH_2 | ( |  | name,
|  |  | id
| ) |  | MAKE_COMMONCRYPTO_HASH_3(name, id, id)

Referenced by Botan::make_commoncrypto_hash().

#define MAKE_COMMONCRYPTO_HASH_3 | ( |  | name,
|  |  | hash,
|  |  | ctx
| ) |  |

Value:
std::unique_ptr<HashFunction>( \
new CommonCrypto_HashFunction<CC_ ## ctx ## _CTX >({ \
name, \
CC_ ## hash ## _DIGEST_LENGTH, \
CC_ ## hash ## _BLOCK_BYTES, \
CC_ ## hash ## _Init, \
CC_ ## hash ## _Update, \
CC_ ## hash ## _Final \
}));
name
std::string name
Definition: commoncrypto_hash.cpp:23
hash
MechanismType hash
Definition: p11_mechanism.cpp:64

Referenced by Botan::make_commoncrypto_hash().

## Variable Documentation

size_t blockSize

Definition at line 25 of file commoncrypto_hash.cpp.

size_t digestLength

Definition at line 24 of file commoncrypto_hash.cpp.

int(* final) (unsigned char *, CTX *)

Definition at line 28 of file commoncrypto_hash.cpp.

int(* init) (CTX *)

Definition at line 26 of file commoncrypto_hash.cpp.

Referenced by Botan::TLS::Stream< StreamLayer, ChannelT >::async_handshake(), Botan::TLS::Stream< StreamLayer, ChannelT >::async_read_some(), Botan::TLS::Stream< StreamLayer, ChannelT >::async_write_some(), and Botan::FE_25519::FE_25519().

CTX m_ctx

Definition at line 84 of file commoncrypto_hash.cpp.

Referenced by Botan::TPM_RNG::add_entropy(), Botan::TPM_PrivateKey::ctx(), Botan::TPM_Context::handle(), and Botan::TPM_RNG::randomize().

digest_config_t m_info

Definition at line 85 of file commoncrypto_hash.cpp.

std::string name

Definition at line 23 of file commoncrypto_hash.cpp.

Referenced by Botan::Extensions::add(), Botan::TLS::Certificate_Req::Certificate_Req(), Botan::Entropy_Sources::enabled_sources(), Botan::TLS::Ciphersuite::from_name(), Botan::PSK_Database::get_str(), Botan::parse_algorithm_name(), Botan::Entropy_Sources::poll_just(), Botan::SCAN_Name::SCAN_Name(), Botan::Roughtime::servers_from_str(), Botan::Keyed_Filter::set_iv(), and Botan::verify_cert_constraints_valid_for_key_type().

int(* update) (CTX *, const void *, CC_LONG len)

Definition at line 27 of file commoncrypto_hash.cpp.

Referenced by Botan::Buffered_Computation::process(), Botan::PK_Signer::sign_message(), Botan::PK_Signer::update(), and Botan::PK_Verifier::update().